medux_web/urls.py
from django.contrib import admin
from django.urls import path, include
from django.views.generic import TemplateView

urlpatterns = [
    path("", TemplateView.as_view(template_name="index.html"), name="index"),
    path('admin/', admin.site.urls),
    path('prescription/', include("prescription.urls")),
    path('calendar/', include("scheduler.urls")),
    path("", include("medux_web.common.urls")),
]

prescription/urls.py
from django.urls import path
from . import views

app_name = "prescription"

urlpatterns = [
    path('', views.MedAddView.as_view(), name="prescriptionform"),
]

scheduler/urls.py
from django.urls import re_path
from django.views.generic.list import ListView

from schedule.feeds import CalendarICalendar, UpcomingEventsFeed
from schedule.models import Calendar
from schedule.periods import Day, Month, Week, Year
from schedule.views import (
    CalendarByPeriodsView,
    CalendarView,
    CancelOccurrenceView,
    CreateEventView,
    CreateOccurrenceView,
    DeleteEventView,
    EditEventView,
    EditOccurrenceView,
    EventView,
    FullCalendarView,
    OccurrencePreview,
    OccurrenceView,
    api_move_or_resize_by_code,
    api_occurrences,
    api_select_create,
)

urlpatterns = [
    re_path(r"^$", ListView.as_view(model=Calendar), name="calendar_list"),
    re_path(
        r"^calendar/year/(?P<calendar_slug>[-\w]+)/$",
        CalendarByPeriodsView.as_view(template_name="schedule/calendar_year.html"),
        name="year_calendar",
        kwargs={"period": Year},
    ),
    re_path(
        r"^calendar/tri_month/(?P<calendar_slug>[-\w]+)/$",
        CalendarByPeriodsView.as_view(template_name="schedule/calendar_tri_month.html"),
        name="tri_month_calendar",
        kwargs={"period": Month},
    ),
    re_path(
        r"^calendar/compact_month/(?P<calendar_slug>[-\w]+)/$",
        CalendarByPeriodsView.as_view(
            template_name="schedule/calendar_compact_month.html"
        ),
        name="compact_calendar",
        kwargs={"period": Month},
    ),
    re_path(
        r"^calendar/month/(?P<calendar_slug>[-\w]+)/$",
        CalendarByPeriodsView.as_view(template_name="schedule/calendar_month.html"),
        name="month_calendar",
        kwargs={"period": Month},
    ),
    re_path(
        r"^calendar/week/(?P<calendar_slug>[-\w]+)/$",
        CalendarByPeriodsView.as_view(template_name="schedule/calendar_week.html"),
        name="week_calendar",
        kwargs={"period": Week},
    ),
    re_path(
        r"^calendar/daily/(?P<calendar_slug>[-\w]+)/$",
        CalendarByPeriodsView.as_view(template_name="schedule/calendar_day.html"),
        name="day_calendar",
        kwargs={"period": Day},
    ),
    re_path(
        r"^calendar/(?P<calendar_slug>[-\w]+)/$",
        CalendarView.as_view(),
        name="calendar_home",
    ),
    re_path(
        r"^fullcalendar/(?P<calendar_slug>[-\w]+)/$",
        FullCalendarView.as_view(),
        name="fullcalendar",
    ),
    # Event Urls
    re_path(
        r"^event/create/(?P<calendar_slug>[-\w]+)/$",
        CreateEventView.as_view(),
        name="calendar_create_event",
    ),
    re_path(
        r"^event/edit/(?P<calendar_slug>[-\w]+)/(?P<event_id>\d+)/$",
        EditEventView.as_view(),
        name="edit_event",
    ),
    re_path(r"^event/(?P<event_id>\d+)/$", EventView.as_view(), name="event"),
    re_path(
        r"^event/delete/(?P<event_id>\d+)/$",
        DeleteEventView.as_view(),
        name="delete_event",
    ),
    # urls for already persisted occurrences
    re_path(
        r"^occurrence/(?P<event_id>\d+)/(?P<occurrence_id>\d+)/$",
        OccurrenceView.as_view(),
        name="occurrence",
    ),
    re_path(
        r"^occurrence/cancel/(?P<event_id>\d+)/(?P<occurrence_id>\d+)/$",
        CancelOccurrenceView.as_view(),
        name="cancel_occurrence",
    ),
    re_path(
        r"^occurrence/edit/(?P<event_id>\d+)/(?P<occurrence_id>\d+)/$",
        EditOccurrenceView.as_view(),
        name="edit_occurrence",
    ),
    # urls for unpersisted occurrences
    re_path(
        r"^occurrence/(?P<event_id>\d+)/(?P<year>\d+)/(?P<month>\d+)/(?P<day>\d+)/(?P<hour>\d+)/(?P<minute>\d+)/(?P<second>\d+)/$",
        OccurrencePreview.as_view(),
        name="occurrence_by_date",
    ),
    re_path(
        r"^occurrence/cancel/(?P<event_id>\d+)/(?P<year>\d+)/(?P<month>\d+)/(?P<day>\d+)/(?P<hour>\d+)/(?P<minute>\d+)/(?P<second>\d+)/$",
        CancelOccurrenceView.as_view(),
        name="cancel_occurrence_by_date",
    ),
    re_path(
        r"^occurrence/edit/(?P<event_id>\d+)/(?P<year>\d+)/(?P<month>\d+)/(?P<day>\d+)/(?P<hour>\d+)/(?P<minute>\d+)/(?P<second>\d+)/$",
        CreateOccurrenceView.as_view(),
        name="edit_occurrence_by_date",
    ),
    # feed urls
    re_path(
        r"^feed/calendar/upcoming/(?P<calendar_id>\d+)/$",
        UpcomingEventsFeed(),
        name="upcoming_events_feed",
    ),
    re_path(r"^ical/calendar/(.*)/$", CalendarICalendar(), name="calendar_ical"),
    # api urls
    re_path(r"^api/occurrences", api_occurrences, name="api_occurrences"),
    re_path(
        r"^api/move_or_resize/$", api_move_or_resize_by_code, name="api_move_or_resize"
    ),
    re_path(r"^api/select_create/$", api_select_create, name="api_select_create"),
    re_path(r"^$", ListView.as_view(queryset=Calendar.objects.all()), name="schedule"),
]

templates/includes/navbar.html
{% load static %}

<header class="header" id="header">
    <div class="container">
        <nav class="navbar navbar-expand-lg navbar-light p-0">
            <div class="navbar-brand">
                <a href="{% url 'index' %}"><img src="{% static 'img/logo.png' %}" alt="Dr. Lehner, Dr.Cadamuro - Logo"></a>
            </div>
            <button
                    class="navbar-toggler"
                    type="button"
                    data-toggle="collapse"
                    data-target="#navbarSupportedContent, #header"
                    aria-controls="navbarSupportedContent"
                    aria-expanded="false"
                    aria-label="Toggle navigation"
            >
                <span class="navbar-toggler-icon"></span>
            </button>

            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav ml-lg-auto">
                    <li class="nav-item">
                        <a data-scroll class="nav-link" href="{% url 'index' %}#ordinationszeiten">
                        ORDINATIONSZEITEN</a
                        >
                    </li>

                    <li class="nav-item">
                        <a data-scroll class="nav-link" href="{% url 'index' %}#kontakt"
                        >KONTAKT</a
                        >
                    </li>

                    <li class="nav-item">
                        <a data-scroll class="nav-link" href="{% url 'index' %}#leistungen"
                        >LEISTUNGEN</a
                        >
                    </li>

                    <li class="nav-item">
                        <a data-scroll class="nav-link" href="{% url 'index' %}#patienteninfo"
                        >PATIENTENINFO</a
                        >
                    </li>

                    <li class="nav-item">
                        <a data-scroll class="nav-link" href="{% url 'index' %}#team"
                        >TEAM</a
                        >
                    </li>

                    <li class="nav-item">
                        <a data-scroll class="nav-link" href="{% url 'index' %}#ordination"
                        >GALERIE</a
                        >
                    </li>
                    <li class="nav-item">
                        <a data-scroll class="nav-link" href="{% url 'prescription:prescriptionform' %}"
                        >REZEPTE</a
                        >
                    </li>

                </ul>
            </div>
        </nav>
    </div>
</header>













{#<nav class="navbar navbar-expand-lg navbar-light bg-light">#}
{#  <div class="container-fluid">#}
{#    <a class="navbar-brand" href="{% url 'index' %}">MedUX_web</a>#}
{#    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">#}
{#      <span class="navbar-toggler-icon"></span>#}
{#    </button>#}
{#    <div class="collapse navbar-collapse" id="navbarSupportedContent">#}
{#      <ul class="nav nav-tabs me-auto mb-2 mb-lg-0">#}
{#        <li class="nav-item">#}
{#          <a class="nav-link" aria-current="page" href="#">Home</a>#}
{#        </li>#}
{##}
{#          <li class="nav-item dropdown">#}
{#          <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">#}
{#            Rezept#}
{#          </a>#}
{#          <ul class="dropdown-menu" aria-labelledby="navbarDropdown">#}
{#            <li><a class="dropdown-item" href="{% url 'prescription:form' %}">Rezept bestellen</a></li>#}
{#            <li><a class="dropdown-item" href="{% url 'prescription:index' %}">Bestellte Rezepte</a></li>#}
{#            <li><a class="dropdown-item" href="{% url 'prescription:archive' %}">Ausgestellte Rezepte</a></li>#}
{##}
{#          </ul>#}
{#          </li>#}
{##}
{##}
{##}
{##}
{#      <li class="nav-item">#}
{#          <a class="nav-link" href="#">Passwort vergeben</a>#}
{#        </li>#}
{#        <li class="nav-item">#}
{#          <a class="nav-link" href="{% url 'admin:index' %}">Admin</a>#}
{#        </li>#}
{##}
{#      </ul>#}
{#    </div>#}
{#  </div>#}
{#</nav>#}

templates/includes/navbar_physio.html
{% load static %}

<header class="header fixed-top rad-animation-group" id="header">
    <div class="container rad-fade-in">
        <nav class="navbar navbar-expand-lg navbar-light p-0">
            <div class="navbar-brand">
                <a href="{% url 'index' %}"><img src="{% static 'img/logo.png' %}" alt="Dr. Lehner, Dr.Cadamuro - Logo"></a>
            </div>
            <button
                    class="navbar-toggler"
                    type="button"
                    data-toggle="collapse"
                    data-target="#navbarSupportedContent, #header"
                    aria-controls="navbarSupportedContent"
                    aria-expanded="false"
                    aria-label="Toggle navigation"
            >
                <span class="navbar-toggler-icon"></span>
            </button>

            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav ml-lg-auto">
                    <li class="nav-item">
                        <a data-scroll class="nav-link" href="#termin"
                        >TERMIN VEREINBAREN</a
                        >
                    </li>

                    <li class="nav-item">
                        <a data-scroll class="nav-link" href="#kontakt"
                        >KONTAKT</a
                        >
                    </li>

                    <li class="nav-item">
                        <a data-scroll class="nav-link" href="#leistungen"
                        >LEISTUNGEN</a
                        >
                    </li>

                    <li class="nav-item">
                        <a data-scroll class="nav-link" href="#ordination"
                        >GALERIE</a
                        >
                    </li>

                </ul>
            </div>
        </nav>
    </div>
</header>













{#<nav class="navbar navbar-expand-lg navbar-light bg-light">#}
{#  <div class="container-fluid">#}
{#    <a class="navbar-brand" href="{% url 'index' %}">MedUX_web</a>#}
{#    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">#}
{#      <span class="navbar-toggler-icon"></span>#}
{#    </button>#}
{#    <div class="collapse navbar-collapse" id="navbarSupportedContent">#}
{#      <ul class="nav nav-tabs me-auto mb-2 mb-lg-0">#}
{#        <li class="nav-item">#}
{#          <a class="nav-link" aria-current="page" href="#">Home</a>#}
{#        </li>#}
{##}
{#          <li class="nav-item dropdown">#}
{#          <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">#}
{#            Rezept#}
{#          </a>#}
{#          <ul class="dropdown-menu" aria-labelledby="navbarDropdown">#}
{#            <li><a class="dropdown-item" href="{% url 'prescription:form' %}">Rezept bestellen</a></li>#}
{#            <li><a class="dropdown-item" href="{% url 'prescription:index' %}">Bestellte Rezepte</a></li>#}
{#            <li><a class="dropdown-item" href="{% url 'prescription:archive' %}">Ausgestellte Rezepte</a></li>#}
{##}
{#          </ul>#}
{#          </li>#}
{##}
{##}
{##}
{##}
{#      <li class="nav-item">#}
{#          <a class="nav-link" href="#">Passwort vergeben</a>#}
{#        </li>#}
{#        <li class="nav-item">#}
{#          <a class="nav-link" href="{% url 'admin:index' %}">Admin</a>#}
{#        </li>#}
{##}
{#      </ul>#}
{#    </div>#}
{#  </div>#}
{#</nav>#}